#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include "../inc/config.h"
#include "genUtil.h"
#include "String.h"
#include "File.h"
#include "Memory.h"


void
init0(llDataInfoInfo* info)
{
    info->fptIn = NULL;    info->flagIn = 0;
    info->fptOut = stdout;    info->flagOut = 0;
    info->layer = 0;    info->flaglayer = 0;
    info->NN = 0;    info->flagNN = 0;
    info->LL = 0;    info->flagLL = 0;
    info->mode = 0;    info->flagmode = 0;
    info->fptconfigFile = NULL;    info->flagconfigFile = 0;
}

void
init1(llDataInfoInfo* info)
{
    char s[1024];
    int i;
    if(!info->flagIn) {
        stringGetFromFile(s, "In", stdin, stdout, 0);
        info->In = stringGetNthWord(s, 1, " ,");
        info->flagIn++;
    }
    if(info->flagIn) {
        info->fptIn = fileOpen(info->In, "r");
    }
    
    if(info->flagOut) {
        info->fptOut = fileOpen(info->Out, "w");
    }
    
    if(info->flaglayer) {
    }
    
    if(info->flagNN) {
    }
    
    if(info->flagLL) {
    }
    
    if(info->flagmode) {
    }
    
    if(info->flagconfigFile) {
        info->fptconfigFile = fileOpen(info->configFile, "r");
    }
    
}
